<< opt_ka | opt | opt_me >>

CCA (Computational Convex Analysis) >> opt > opt_lft

# opt_lft

Convex operators via optimization (OPT), Legendre-Fenchel transform (LFT)

### Calling Sequence

    [y, argmin] = opt_lft(f, df, domf, s, output)

### Parameters

f

  Univariate function, continuous but (potentially) nonsmooth.

df

  Univariate function: derivative of f.

domf

  Domain of the function f (set of points where the function is finite). Domains are stored as intervals I=[lb,ub] with ub<lb storing an empty set.

s

  Vector of points at which to evaluate the LFT.

output

  0: no output, 1: progress bar.

y

  The values of the LFT evaluated at each x.

argmin

  A point at which the LFT attains its minimum, for each x.

### Description

Computes the Legendre-Fenchel transform of f evaluated on vector s, giving the values y such that

### Authors

- Yves Lucet, University of British Columbia, BC, Canada

<< opt_ka | opt | opt_me >>